Bug 432006 - TypeError: populateSack() got an unexpected keyword argument 'with'
TypeError: populateSack() got an unexpected keyword argument 'with'
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Chris Lumens
Milan Zazrivec
:
Depends On:
Blocks: 317131
  Show dependency treegraph
 
Reported: 2008-02-08 07:23 EST by Milan Zazrivec
Modified: 2008-05-21 11:33 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0397
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (440 bytes, patch)
2008-02-08 07:23 EST, Milan Zazrivec
no flags Details | Diff

  None (edit)
Description Milan Zazrivec 2008-02-08 07:23:38 EST
Description of problem:
RHEL5.2-Client-20080207.0 anaconda-11.1.2.98:

# PYTHONPATH=/usr/lib/anaconda /usr/lib/anaconda-runtime/pkgorder
/mnt/redhat/rel-eng/RHEL5.2-Client-20080207.0/5/i386/os/VT i386 VT

Traceback (most recent call last):
  File "/usr/lib/anaconda-runtime/pkgorder", line 167, in ?
    ds.setup(fn=config, excludes=options.excludeList, root = testpath)
  File "/usr/lib/anaconda-runtime/pkgorder", line 66, in setup
    self.repos.populateSack(with='filelists')
TypeError: populateSack() got an unexpected keyword argument 'with'

Version-Release number of selected component (if applicable):
RHEL5.2-Client-20080207.0 / anaconda-11.1.2.98

How reproducible:
Always
Comment 1 Milan Zazrivec 2008-02-08 07:23:38 EST
Created attachment 294346 [details]
proposed patch
Comment 2 Milan Zazrivec 2008-02-08 12:00:16 EST
The correct version of affected anaconda is: anaconda-11.1.2.96-1
I apologize.
Comment 3 Milan Zazrivec 2008-02-11 15:09:11 EST
Is there any chance this bz could be fixed in RHEL5.2 anaconda?

I don't think pkgorder (obviously, needed and used in distill) can work
properly without this fix, or am I wrong?

Thanks.
Comment 5 Denise Dumas 2008-02-14 14:41:32 EST
Affects releng's pkgorder script for tree generation, but some sort of
workaround appears to exist. Unlikely to affect customers.
Comment 7 David Cantrell 2008-02-18 14:54:49 EST
Will be fixed in anaconda-11.1.2.103-1.
Comment 9 Milan Zazrivec 2008-02-21 11:52:44 EST
Verified with anaconda-11.1.2.103-1
Comment 11 errata-xmlrpc 2008-05-21 11:33:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0397.html

Note You need to log in before you can comment on or make changes to this bug.